
%define _target_cpu	i586

%define	cpm_l_version	1.0
%define	cpm_l_dirs	1

%define	summary	CP/M for Linux - yaze (AG version)
%define	copy	GPL
%define	name	cpm4l-yaze-ag
%define	version	2.01
%define	release	20050325

%if %{cpm_l_dirs}
%define	_sysmandir	%{_mandir}
%define	_sysinfodir	%{_infodir}
%define	_sysetcdir	%{_sysconfdir}

%if "%(echo $CPM4L)" == ""
%define	_prefix		/opt/cpm4l
%else
%define	_prefix		%(echo $CPM4L)
%endif

%define	_prefix		/opt/cpm4l
%define	_libdir		%{_prefix}/lib
%define	_libexecdir	%{_prefix}/libexec
%define	_datadir	%{_prefix}/share
%define	_sysconfdir	%{_prefix}/etc
%define	_localstatedir	%{_prefix}/var/lib
%define	_mandir		%{_prefix}/man
%define	_infodir	%{_prefix}/info
%define	_docdir		%{_prefix}/doc
%endif

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	%{copy}
Distribution:	LiPronix
Vendor:		Li-Pro.Net
Packager:	Stephan Linz <linz@li-pro.net>
URL:		http://www.li-pro.net/cpm4l
Group:		Development/CPM4L/Emulators
Icon:		cpm4l.xpm
ExclusiveOS:	linux
Provides:	yaze
Provides:	cdm
Requires:	cpm4l-base >= 0.1
Conflicts:	cpm4l-yaze
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://ibiblio.org/pub/Linux/system/emulators/yaze-ag-%{version}.tar.bz2
Patch0:         yaze-ag-%{version}-fixed.patch.bz2

%description
CPM4L stands for CP/M for Linux and should you support with a comprehensive
tool suite of programs and utilities to access old CP/M discs, emulate
old CP/M software, and cross compile / assemble new CP/M software. The main
focuse will be at CP/M 2.2 for Z80 processors and some usage with Robotron
related material.

What's Robotron? Oh, I believe ther will be only few people who know it.
Robotron was the main computer company inside of the "good old" GdR.

Til now there are the following packages available:

   * see cpm4l-base package



! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !
! ! !    A n d r e a s   G e r l i c h   V e r s i o n    ! ! !
! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !

! ! !   Y e t   A n o t h e r   Z 8 0   E m u l a t o r   ! ! !


YAZE is an excellent Z80 simulator and CP/M emulator, written
in ANSI C, that works on many architectures. It is fast,
simulates undocumented opcodes and passes instruction regression
tests against real Z80 hardware. The original author is Frank
Cringle. This special version is the result of Andreas Gerlich's
work on the original 1.10 version of YAZE. He has integrate some
more features and swap from major version 1 to 2 (just 2.01).

The package consists of:

   * an instruction set simulator which accurately imitates a
     real Z80 microprocessor,

   * built-in simulated MMU: 16 tables with 16 page pointers
     (page size 4 KB),

   * a CP/M-2.2 bios (the yaze-bios) written in C which runs on
     the Unix host but interacts with the simulated Z80,

   * a CP/M 3.1 bios (acts as an interface to the yaze-bios)
     always with the MMU and RAM up to 1MB,

   * a monitor which loads CP/M into the simulated processor's
     ram and which makes Unix directories or files look like
     CP/M disks, and

   * a separate program (cdm) which creates and manipulates CP/M
     disk images for use with yaze.

%package doc
Summary:	%{summary} -- documentation
Group:		Development/CPM4L/dos
Requires:	cpm4l-yaze
Requires:	%{name} = %{version}
Requires:	man
Prereq:		/usr/bin/man

%description doc
This is the documentation package for the yaze part of CPM4L. Have
a look at:

   * cpm4l-yaze

%prep
%setup -q -n yaze-ag-%{version}
%patch0 -p1

# adapt CPM4L path environment
perl -pi -e 's%%(S_CPMDSKS=).*$%\1%{_libdir}/yaze/disks%;' yaze.sh
perl -pi -e 's%%(S_DOCFILES=).*$%\1%{_docdir}/yaze-ag-%{version}/text%;' yaze.sh
perl -pi -e 's%%(S_DOCFILES_html=).*$%\1%{_docdir}/yaze-ag-%{version}/html%;' yaze.sh

# CPM4L-zification for bug reports
perl -pi -e '/^#define/ and s/(VERSION.*\"%{version}.*)\"(.*$)/\1 \(CPM4L %{cpm_l_version} %{version}-%{release}\)\"\2/;' \
	yaze.h
perl -pi -e '/^#define/ and s/(VERSION.*\"1\.10)\".*$/\1 \(CPM4L %{cpm_l_version} 1.10-%{release}\)\"/;' \
	cdm.c

%build
CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}"
cp -f Makefile_linux Makefile
%make	BINDIR=%{_bindir}				\
	MANDIR=%{_mandir}/man1				\
	LIBDIR=%{_libdir}/yaze				\
	DSKDIR=%{_libdir}/yaze/disks			\
	DOCDIR=%{_docdir}/yaze-ag-%{version}/text	\
	DOCHTMLDIR=%{_docdir}/yaze-ag-%{version}/html		all

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall	BINDIR=${RPM_BUILD_ROOT}%{_bindir}				\
		MANDIR=${RPM_BUILD_ROOT}%{_mandir}/man1				\
		LIBDIR=${RPM_BUILD_ROOT}%{_libdir}/yaze				\
		DSKDIR=${RPM_BUILD_ROOT}%{_libdir}/yaze/disks			\
		DOCDIR=${RPM_BUILD_ROOT}%{_docdir}/yaze-ag-%{version}/text	\
		DOCHTMLDIR=${RPM_BUILD_ROOT}%{_docdir}/yaze-ag-%{version}/html
for i in `file ${RPM_BUILD_ROOT}%{_bindir}/* | grep ELF | sed -e "s/:.*$//g"`; do \
  strip ${i}; done
# missed documentations
for i in TODO ChangeLog; do \
  install -D -m 0644 ${i} ${RPM_BUILD_ROOT}%{_docdir}/yaze-ag-%{version}/${i}; done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}
%dir %{_libdir}/yaze
%{_libdir}/yaze/md5
%{_libdir}/yaze/*.boot
%{_libdir}/yaze/disks/*.gz
%config(noreplace) %{_libdir}/yaze/disks/yazerc

%files doc
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%doc %{_docdir}/yaze-ag-%{version}

%changelog
* Fri Mar 25 2005 Stephan Linz <linz@li-pro.net> 2.01-20050325
- cloned from cpm4l-yaze
